WordPress.org

Ready to get started?Download WordPress

Plugin Directory

No Weak Passwords

Forbid use of any password from an included list of the most easily guessable

Where are the configuration settings?

There are none. If the plugin is active, then it is banning all of its known weak passwords.

What if one of my users is already using one of those passwords?

If they try to log in with one of these weak passwords, then they will not succeed, and they will be told to use the 'Lost Password' procedure to obtain a new password.

What passwords does this plugin ban?

The 3546 listed in the "common passwords list" as obtained from http://www.openwall.com/passwords/wordlists/ on 16th November 2012.

I'd like to change the policy; add some different words; forbid too-short passwords, etc.

Please either send a patch, or make a donation on my donation page, and I will be glad to help. Otherwise, this plugin does all I wanted it to do and I've not got time to develop it further without some compensation.

I like automating WordPress, and using the command-line. Please tell me more.

Glad to hear that! You are looking for WordShell, http://wordshell.net.

Requires: 3.2 or higher
Compatible up to: 3.8.3
Last Updated: 2013-12-10
Downloads: 645

Ratings

5 stars
5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1
100,2,2
100,1,1
100,1,1